using System;
using Xunit;
using Newtonsoft.Json.Linq;
using FluentAssertions;
using System.Collections.Generic;
using System.Collections.Concurrent;

namespace raven_integration
{

    public class AyaType
    {

        /// <summary>
        ///
        /// </summary>
        [Fact]
        public async void AyaTypeListShouldWork()
        {
            ApiResponse a = await Util.GetAsync("AyaType");
            Util.ValidateDataReturnResponseOk(a);
            Util.ValidateHTTPStatusCode(a, 200);
            //there should be at least 8 of them (at time of writing late March 2018)
            ((JArray)a.ObjectResponse["data"]).Count.Should().BeGreaterOrEqualTo(8);

            //Number 2 is widget and list is zero based so confirm:
            a.ObjectResponse["data"][2]["id"].Value<long>().Should().Be(2);
            a.ObjectResponse["data"][2]["name"].Value<string>().Should().Be("Widget [Attachable]");

        }


        //==================================================

    }//eoc
}//eons
